org.jbpm.executor.impl.jpa

## Class ExecutorRequestAdminServiceImpl

- java.lang.Object
- - org.jbpm.executor.impl.jpa.ExecutorRequestAdminServiceImpl

- All Implemented Interfaces:
    RequeueAware, org.kie.api.executor.ExecutorAdminService

      public class ExecutorRequestAdminServiceImpl
      extends Object
      implements org.kie.api.executor.ExecutorAdminService, RequeueAware

  Default implementation of `ExecutorAdminService` backed with JPA IMPORTANT: please keep all classes from package org.jbpm.shared.services.impl as FQCN inside method body to avoid exception logged by CDI when used with in memory mode

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorRequestAdminServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `clearAllErrors()`
    `int` | `clearAllRequests()`
    `void` | `requeue(Long olderThan)` Moves `RequestInfo` instances that are in running state longer than given amount of time (in milliseconds)
    `void` | `requeueById(Long requestId)` Moves `RequestInfo` instance with given request id that are in running state
    `void` | `setCommandService(org.drools.core.command.CommandService commandService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorRequestAdminServiceImpl

          public ExecutorRequestAdminServiceImpl()

  - ### Method Detail

    - #### setCommandService

          public void setCommandService(org.drools.core.command.CommandService commandService)

    - #### clearAllRequests

          public int clearAllRequests()

      Specified by:
        `clearAllRequests` in interface `org.kie.api.executor.ExecutorAdminService`

    - #### clearAllErrors

          public int clearAllErrors()

      Specified by:
        `clearAllErrors` in interface `org.kie.api.executor.ExecutorAdminService`

    - #### requeue

          public void requeue(Long olderThan)

      Description copied from interface: `RequeueAware`
      Moves `RequestInfo` instances that are in running state longer than given amount of time (in milliseconds)
      Specified by:
        `requeue` in interface `RequeueAware`
      Parameters:
        `olderThan` - amount of time in milliseconds from current time stamp

    - #### requeueById

          public void requeueById(Long requestId)

      Description copied from interface: `RequeueAware`
      Moves `RequestInfo` instance with given request id that are in running state
      Specified by:
        `requeueById` in interface `RequeueAware`
      Parameters:
        `requestId` - request unique identifier

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.